#!/bin/bash

###############################################################################
# * Copyright (c) 2015, Stephanie Turner
# * All rights reserved.
# * 
# * Redistribution and use in source and binary forms, with or without 
# * modification, are permitted provided that the following conditions are met:
# * 
# * Redistributions of source code must retain the above copyright notice, 
# * this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above copyright notice, 
# * this list of conditions and the following disclaimer in the documentation 
# * and/or other materials provided with the distribution.
# * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
# * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
# * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE 
# * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE 
# * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
# * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
# * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
# * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
# * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
# * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
# * POSSIBILITY OF SUCH DAMAGE.
###############################################################################


###############################################################################
#
#       Config
#
###############################################################################

homeDir=/Users/sturner/workshop

user=stephkyle
serverPort=workshop.perforce.com:1666
originRemoteSpec=stephkylePython

cloneDir=$homeDir/Python
webserver=localhost/~sturner/CDN_Archive
cdnArchive=/Users/sturner/Sites/CDN_Archive

userDVCS=$homeDir/userDVCS

zipfile=zipfile
triggerScript=/Users/sturner/EPIC/scripts/archiveTrigger.sh
stream=//Python/P4Pythonlib
remoteSpec=cdnRemoteSpec


rm -rf $homeDir
mkdir $homeDir
cd $homeDir

###############################################################################
#
#       This gets run on the server side to set up the CDN
#
###############################################################################

p4cdn -setupCDN $cloneDir $user $serverPort $originRemoteSpec $triggerScript $cdnArchive $zipfile $remoteSpec 


###############################################################################
#
#       This gets run on the user client side to set up the DVCS 
#
###############################################################################

cd $homeDir

#start a clean dvcs to simulate the end user
startcdn $userDVCS $cloneDir/.p4root/zipfile $stream $homeDir/logfile $webserver $triggerScript

